"use clinet";
import { AppContext } from "@/providers/AppbarProvider";
import { Button } from "@mui/material";
import { use } from "react";

const UserButton = () => {
  const { handleToggleMainSideBar, openMainSideBar } = use(AppContext);

  const handleOnClick = () => {
    if (openMainSideBar) {
      handleToggleMainSideBar();
    }
  };
  return (
    <div>
      <Button variant="outlined" onClick={handleOnClick}>
        ثبت نام | ورود
      </Button>
    </div>
  );
};

export default UserButton;
